/**
 * Build a 2-tiered list of command links and configure the onClick event for
 * each link to insert the XML for that command.
 */
function setupCommands() {

  for(var key in commands) {
    if(typeof(commands[key]) == "string") {
      $('#command-list').append("<li><a href='#' rel='"+key+"'>" + key + "</a></li>");
    } else {
      var string = "<li><a href='#' class='command-header'>"+key+"</a><ul>";
      for(var key2 in commands[key]) {
        string += "<li><a href='#' rel='"+key+"."+key2+"'>" + key2 + "</a></li>";
      }
      string +="</ul></li>";
      $('#command-list').append(string);
    }
  }

  $('#command-list li ul li a').click(function(){
    var command = $(this).attr('rel').toString();
    var parts = command.split(".");
    var commandSet = commands;
    for(var key in parts) {
      key = parts[key];
      if(typeof(commandSet[key]) == "string") {
        command = commandSet[key];
      } else {
        commandSet = commandSet[key];
      }
    }
    insert(command);
    return false;
  });
}
